<template>
  <div>
    <b-alert
      v-for="announcement in announcements"
      :key="announcement.id"
      :variant="announcement.variant"
      show
    >
      <span class="font-weight-bold">{{ announcement.message }}</span>
    </b-alert>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapGetters } from 'vuex';

export default Vue.extend({
  name: 'TheAnnouncementBar',
  computed: {
    ...mapGetters(['announcements']),
  },
});
</script>

<style scoped>
</style>
